500 Internal Error on TimelogControler while deleting time_entry 

2010-04-28 13:24 - Milan Stastny

Status: Closed Start date: 2010-04-28

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.3

Description

Hello,

we recently updated to redmine svn 3689 and noticed problem with deleting Time entries in the projects. Editing, adding, viewing is

OK, but when we want to delete an time entry we get this error:

Processing TimelogController#destroy (for 10.0.1.213 at 2010-04-28 15:17:11) [POST]

  Parameters: {"action"=>"destroy", "authenticity_token"=>"LLStuq2pDiuRzElvYSsC97WaGo0/XKkq6Q7oRFC

NSas=", "id"=>"1684", "controller"=>"timelog"}

NameError (undefined local variable or method `time_entry' for #<TimeEntry:0xb5e43d78>):

  app/controllers/timelog_controller.rb:228:in `destroy'

  passenger (2.2.11) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.11) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:418:in `start_request_hand

ler'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_appli

cation'

  passenger (2.2.11) lib/phusion_passenger/utils.rb:184:in `safe_fork'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_appli

cation'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.11) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  passenger (2.2.11) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.11) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /opt/redmine-alvila/public/500.html (500 Internal Server Error)

 Everything else works fine, the upgrade was by the book and withouth any problem. Not sure if this problem was there before the

upgrade or not, noticed this because someone managed to input duplicid time spent on one issue and wanted to delete one.

We are using

Debian 5 2.6.26-2-686

Postgresql 8.3

ruby 1.8.7

with gems:

fastthread-1.0.7 at Tue Apr 27 12:54:57 2010

rake-0.8.7 at Wed Apr 28 14:56:14 2010

passenger-2.2.11 at Wed Apr 28 14:56:29 2010

googlecharts-1.5.4 at Wed Apr 28 14:56:31 2010
holidays-0.9.3 at Wed Apr 28 14:56:31 2010

rails-2.3.5 at Wed Apr 28 14:57:01 2010

rack-1.0.1 at Wed Apr 28 14:57:01 2010

actionmailer-2.3.5 at Wed Apr 28 14:57:01 2010

actionpack-2.3.5 at Wed Apr 28 14:57:01 2010

activesupport-2.3.5 at Wed Apr 28 14:57:02 2010

activeresource-2.3.5 at Wed Apr 28 14:57:02 2010

activerecord-2.3.5 at Wed Apr 28 14:57:02 2010

History

#1 - 2010-04-28 14:48 - Milan Stastny

- Status changed from New to Resolved

- % Done changed from 0 to 100

Sorry for this report, solved the problem by doing some testing.

The whole problem was due to incompatibility of http://www.redmine.org/wiki/1/PluginCharts using the older version before...update fixed the problem.

#2 - 2010-04-29 23:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2010-05-18 11:05 - yusuke kokubo

I got same problem and searched this ticket.

This report saved me. Thanks.
